<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxml="urn:schemas-microsoft-com:xslt" version="1.0">
	<xsl:output method="xml" encoding="utf-8" indent="yes"/>
	<xsl:decimal-format name="european" decimal-separator="." grouping-separator=","/>
	<xsl:param name="mode"/>
	<xsl:variable name="Rev">
		<!-- Revision van deze xsl -->
		<xsl:value-of select="substring(translate('$Revision$', '$ ', ''), 10)"/>
	</xsl:variable>


	<xsl:template match="melding">
		<xsl:element name="melding">
			<xsl:attribute name="type">insert</xsl:attribute>
			<xsl:attribute name="key"><xsl:value-of select="@key"/></xsl:attribute>
			<datum><xsl:value-of select="datum"/></datum>
			<melder><xsl:value-of select="melder"/></melder>
			<stdmelding><xsl:value-of select="stdmelding"/></stdmelding>
			<prioriteit><xsl:value-of select="prioriteit"/></prioriteit>
			<locatiecode><xsl:value-of select="locatiecode"/></locatiecode>
			<gebouwcode><xsl:value-of select="gebouwcode"/></gebouwcode>
			<verdiepingcode><xsl:value-of select="verdiepingcode"/></verdiepingcode>
			<ruimtenr><xsl:value-of select="ruimtenr"/></ruimtenr>
			<omschrijving><xsl:value-of select="omschrijving"/></omschrijving>
			<xsl:for-each select="kenmerk">
				<xsl:if test="@naam = 'Netwerkplannummer'">
					<xsl:element name="kenmerk">
						<xsl:attribute name="naam">Ordernummer klant</xsl:attribute>
						<xsl:attribute name="volgnummer"><xsl:value-of select="@volgnummer"/></xsl:attribute>
						<xsl:attribute name="type"><xsl:value-of select="@type"/></xsl:attribute>
						<xsl:value-of select="."/>
					</xsl:element>
				</xsl:if>
				<xsl:copy-of select="."/>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>

	<!-- envelope met daarin de gewenste 'payload' -->
	<xsl:template match="facilitor">
		<facilitor>
			<xsl:apply-templates select="melding"/>
		</facilitor>
	</xsl:template>

	<!-- Root -->
	<xsl:template match="/">
		<xsl:apply-templates select="facilitor"/>
	</xsl:template>
</xsl:stylesheet><!-- Stylesheet edited using Stylus Studio - (c) 2004-2007. Progress Software Corporation. All rights reserved. -->